<?php

namespace App\Services\Equipment\Part;

use App\Services\Equipment\EquipmentService;

abstract class PartService extends EquipmentService
{
    public function __construct(mixed $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Part');
    }
    //FieldForm관련용
    public function getFormFieldOption(string $field, array $options = []): array
    {
        switch ($field) {
            case 'clientinfo_uid':
                $options = $this->getClientService()->getEntities();
                break;
            default:
                $options = parent::getFormFieldOption($field, $options);
                break;
        }
        return $options;
    }
}
